[Testing Update x32] 2018-04-09 to 11 - Firefox SSE, Firefox ESR, LibreOffice Fresh, systemd, kernels and extramodules

update
testing
manjaro32

#1

This batch contains a number of interesting updates, beyond the more normal kernel and systemd updates.

I’ve introduced two new packages - firefox-sse and firefox-esr. Firefox versions after FF53 are built requiring the SSE2 CPU instruction set which is missing in AthlonXP and older CPUs. This means Firefox 59 will segfault on machines without SSE2 support.

Firefox ESR 52 is built without requiring SSE2, and so will work without issue. Unfortunately it’s not a long-term solution as ESR 60 is coming in a few months. So - to try and fix this I’ve built a patched version of Firefox 59 which should remove the SSE2 requirement. If this works it means I can build a version of Firefox which will continue to work on older CPUs.

So - if you have a CPU which lacks the SSE2 instruction set please install and try the firefox-sse package. It should conflict with/provide the standard firefox package so extensions/language packages/etc. will continue to work as normal.


Available kernels

Series Version
linux316 3.16.56
linux41 4.1.51
linux44 4.4.127
linux49 4.9.93
linux414 4.14.33

Current difference to x32-stable

This thread will track updates to x32-testing as they are snapped over from x32-unstable
This post has a full difference to x32-stable, updates will be posted below as they occur.

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                          libsystemd           238.51-1.1             238.76-1
                            linux414            4.14.32-1            4.14.33-2
                    linux414-headers            4.14.32-1            4.14.33-2
                             linux44            4.4.126-1            4.4.127-1
                     linux44-headers            4.4.126-1            4.4.127-1
                             linux49             4.9.92-1             4.9.93-1
                     linux49-headers             4.9.92-1             4.9.93-1
                           procps-ng             3.3.13-0           3.3.13-1.1
                             systemd           238.51-1.1             238.76-1
                  systemd-sysvcompat           238.51-1.1             238.76-1
                      linux-firmware                    -   20180402.8c1e439-1


:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                 archlinux32-keyring           20180104-1         20180411-1.0
                               gnupg            2.2.5-1.0            2.2.5-2.0
                           logrotate           3.13.0-1.0           3.14.0-1.0
                         openssl-1.0          1.0.2.n-1.0          1.0.2.o-1.0


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                       calamares-git3.2.0.r4456.3a54f4488-13.2.0.r4494.031416a1d-1
                        linux316-spl              0.7.7-1              0.7.8-1
                        linux316-zfs              0.7.7-1              0.7.8-1
                         linux41-spl              0.7.7-1              0.7.8-1
                         linux41-zfs              0.7.7-1              0.7.8-1
                  linux414-acpi_call             1.1.0-29             1.1.0-30
                   linux414-bbswitch               0.8-29               0.8-30
                linux414-broadcom-wl      6.30.223.271-29      6.30.223.271-30
                linux414-ndiswrapper              1.61-29              1.61-30
                     linux414-nvidia           1:390.48-2           1:390.48-3
               linux414-nvidia-304xx         1:304.137-29         1:304.137-30
               linux414-nvidia-340xx           340.106-17           340.106-18
                      linux414-r8168          8.045.08-17          8.045.08-18
                  linux414-rt3562sta        2.4.1.1_r4-29        2.4.1.1_r4-30
                        linux414-spl              0.7.7-2              0.7.8-2
                   linux414-tp_smapi              0.41-29              0.41-30
                linux414-vhba-module          20161009-29          20161009-30
   linux414-virtualbox-guest-modules              5.2.8-9             5.2.8-10
    linux414-virtualbox-host-modules              5.2.8-9             5.2.8-10
                        linux414-zfs              0.7.7-2              0.7.8-2
                   linux44-acpi_call             1.1.0-89             1.1.0-90
                 linux44-broadcom-wl      6.30.223.271-59      6.30.223.271-60
                 linux44-ndiswrapper              1.61-57              1.61-58
                      linux44-nvidia           1:390.48-1           1:390.48-2
                linux44-nvidia-304xx         1:304.137-24         1:304.137-25
                linux44-nvidia-340xx           340.106-11           340.106-12
       linux44-open-vm-tools-modules      2:2013.09.16-89      2:2013.09.16-90
                       linux44-r8168          8.045.08-11          8.045.08-12
                   linux44-rt3562sta        2.4.1.1_r4-57        2.4.1.1_r4-58
                         linux44-spl              0.7.7-1              0.7.8-1
                 linux44-vhba-module          20161009-57          20161009-58
    linux44-virtualbox-guest-modules              5.2.8-4              5.2.8-5
     linux44-virtualbox-host-modules              5.2.8-4              5.2.8-5
                         linux44-zfs              0.7.7-1              0.7.8-1
                   linux49-acpi_call             1.1.0-71             1.1.0-72
                    linux49-bbswitch               0.8-71               0.8-72
                 linux49-broadcom-wl      6.30.223.271-71      6.30.223.271-72
                 linux49-ndiswrapper              1.61-69              1.61-70
                      linux49-nvidia           1:390.48-1           1:390.48-2
                linux49-nvidia-304xx         1:304.137-30         1:304.137-31
                linux49-nvidia-340xx           340.106-11           340.106-12
                       linux49-r8168          8.045.08-11          8.045.08-12
                   linux49-rt3562sta        2.4.1.1_r4-69        2.4.1.1_r4-70
                         linux49-spl              0.7.7-1              0.7.8-1
                    linux49-tp_smapi              0.41-71              0.41-72
                 linux49-vhba-module          20161009-69          20161009-70
    linux49-virtualbox-guest-modules              5.2.8-5              5.2.8-6
     linux49-virtualbox-host-modules              5.2.8-5              5.2.8-6
                         linux49-zfs              0.7.7-1              0.7.8-1
                   ndiswrapper-utils              1.61-29              1.61-30
                    rt3562sta-common        2.4.1.1_r4-69        2.4.1.1_r4-70
                            spl-dkms              0.7.7-1              0.7.8-1
                           spl-utils              0.7.7-1              0.7.8-1
                         thunar-gtk3              1.7.2-1              1.7.2-2
                          xfwm4-gtk3            4.13.0-10            4.13.0-11
                            zfs-dkms              0.7.7-1              0.7.8-1
                           zfs-utils              0.7.7-1              0.7.8-1
                      linux-firmware                    -   20180402.8c1e439-1


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
                             devhelp3.28.0+3+g3ab07e3c-1.0           3.28.1-1.0
                                 eog           3.28.0-1.0           3.28.1-1.0
                           evolution3.28.0+8+gf3e2c90d24-1.0           3.28.1-1.0
                evolution-bogofilter3.28.0+8+gf3e2c90d24-1.0           3.28.1-1.0
               evolution-data-server3.28.0+6+g501f51b1c-2.0           3.28.1-1.0
                       evolution-ews           3.28.0-1.0           3.28.1-1.0
              evolution-spamassassin3.28.0+8+gf3e2c90d24-1.0           3.28.1-1.0
                             freetds          1.00.84-1.0          1.00.86-1.0
                             fribidi 1.0.1+8+gdf7252b-1.0            1.0.2-1.0
                         gdk-pixbuf22.36.11+70+g00e03a272-1.0          2.36.12-1.0
                               gedit           3.28.0-2.0           3.28.1-1.0
                       gedit-plugins3.28.0+1+g94f1400-1.0           3.28.1-1.0
                      geoip-database         20180306-1.0         20180403-1.0
                geoip-database-extra         20180306-1.0         20180403-1.0
                    gnome-calculator           3.28.0-1.0           3.28.1-1.0
                  gnome-disk-utility           3.28.0-1.0           3.28.1-1.0
          gnome-getting-started-docs           3.28.0-1.0           3.28.1-1.0
                          gnome-maps           3.28.0-1.0           3.28.1-1.0
                         gnome-music             3.26.1-1       1:3.28.0.1-1.0
                gnome-system-monitor           3.28.0-1.0           3.28.1-1.0
                      gnome-terminal           3.28.0-2.0           3.28.1-1.0
                     gnome-user-docs           3.28.0-1.0           3.28.1-1.0
               gtk-update-icon-cache3.22.29+60+ge42d8598ca-1.03.22.29+86+gd92df4ff2c-1.0
                                gtk33.22.29+60+ge42d8598ca-1.03.22.29+86+gd92df4ff2c-1.0
                                gvfs           1.36.0-2.0           1.36.1-1.0
                            gvfs-afc           1.36.0-2.0           1.36.1-1.0
                            gvfs-goa           1.36.0-2.0           1.36.1-1.0
                         gvfs-google           1.36.0-2.0           1.36.1-1.0
                        gvfs-gphoto2           1.36.0-2.0           1.36.1-1.0
                            gvfs-mtp           1.36.0-2.0           1.36.1-1.0
                            gvfs-nfs           1.36.0-2.0           1.36.1-1.0
                            gvfs-smb           1.36.0-2.0           1.36.1-1.0
                          knetattach           5.12.4-1.0           5.12.4-2.0
                             libpqxx            6.1.1-1.0            6.2.2-1.0
                   libreoffice-fresh            6.0.2-3.0            6.0.3-1.0
                libreoffice-fresh-af            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-am            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-ar            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-as            6.0.2-1.0            6.0.3-2.0
               libreoffice-fresh-ast            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-be            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-bg            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-bn            6.0.2-1.0            6.0.3-2.0
             libreoffice-fresh-bn-IN            6.0.2-1.0            6.0.1-1.0
                libreoffice-fresh-bo            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-br            6.0.2-1.0            6.0.3-2.0
               libreoffice-fresh-brx            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-bs            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-ca            6.0.2-1.0            6.0.3-2.0
       libreoffice-fresh-ca-valencia            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-cs            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-cy            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-da            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-de            6.0.2-1.0            6.0.3-2.0
               libreoffice-fresh-dgo            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-dz            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-el            6.0.2-1.0            6.0.3-2.0
             libreoffice-fresh-en-GB            6.0.2-1.0            6.0.1-1.0
             libreoffice-fresh-en-ZA            6.0.2-1.0            6.0.1-1.0
                libreoffice-fresh-eo            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-es            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-et            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-eu            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-fa            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-fi            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-fr            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-ga            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-gd            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-gl            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-gu            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-he            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-hi            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-hr            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-hu            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-id            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-is            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-it            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-ja            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-ka            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-kk            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-km            6.0.2-1.0            6.0.3-2.0
          libreoffice-fresh-kmr-Latn            6.0.2-1.0            6.0.1-1.0
                libreoffice-fresh-kn            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-ko            6.0.2-1.0            6.0.3-2.0
               libreoffice-fresh-kok            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-ks            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-lb            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-lo            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-lt            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-lv            6.0.2-1.0            6.0.3-2.0
               libreoffice-fresh-mai            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-mk            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-ml            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-mn            6.0.2-1.0            6.0.3-2.0
               libreoffice-fresh-mni            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-mr            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-my            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-nb            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-ne            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-nl            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-nn            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-nr            6.0.2-1.0            6.0.3-2.0
               libreoffice-fresh-nso            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-oc            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-om            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-or            6.0.2-1.0            6.0.3-2.0
             libreoffice-fresh-pa-IN            6.0.2-1.0            6.0.1-1.0
                libreoffice-fresh-pl            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-pt            6.0.2-1.0            6.0.3-2.0
             libreoffice-fresh-pt-BR            6.0.2-1.0            6.0.1-1.0
                libreoffice-fresh-ro            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-ru            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-rw            6.0.2-1.0            6.0.3-2.0
             libreoffice-fresh-sa-IN            6.0.2-1.0            6.0.1-1.0
               libreoffice-fresh-sat            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-sd            6.0.2-1.0            6.0.3-2.0
               libreoffice-fresh-sdk            6.0.2-3.0            6.0.3-1.0
                libreoffice-fresh-si            6.0.2-1.0            6.0.3-2.0
               libreoffice-fresh-sid            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-sk            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-sl            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-sq            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-sr            6.0.2-1.0            6.0.3-2.0
           libreoffice-fresh-sr-Latn            6.0.2-1.0            6.0.1-1.0
                libreoffice-fresh-ss            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-st            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-sv            6.0.2-1.0            6.0.3-2.0
             libreoffice-fresh-sw-TZ            6.0.2-1.0            6.0.1-1.0
                libreoffice-fresh-ta            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-te            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-tg            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-th            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-tn            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-tr            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-ts            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-tt            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-ug            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-uk            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-uz            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-ve            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-vi            6.0.2-1.0            6.0.3-2.0
                libreoffice-fresh-xh            6.0.2-1.0            6.0.3-2.0
             libreoffice-fresh-zh-CN            6.0.2-1.0            6.0.1-1.0
             libreoffice-fresh-zh-TW            6.0.2-1.0            6.0.1-1.0
                libreoffice-fresh-zu            6.0.2-1.0            6.0.3-2.0
                             libsoup           2.62.0-1.0           2.62.1-1.0
                           mm-common             0.9.11-1           0.9.12-1.0
                                mono       5.10.0.179-1.0        5.10.1.16-1.0
                               ncmpc             0.29-2.0             0.30-1.0
                             openmpi            3.0.0-1.0            3.0.1-1.0
                      plasma-desktop           5.12.4-1.0           5.12.4-2.0
                               solid           5.44.0-1.0           5.44.0-2.0
                                vala           0.40.2-1.0           0.40.3-1.0
                          vte-common           0.52.0-1.0           0.52.1-1.0
                                vte3           0.52.0-1.0           0.52.1-1.0
                      vulkan-headers         1:1.1.70-3.0         1:1.1.72-1.0
                    vulkan-html-docs         1:1.1.70-3.0         1:1.1.72-1.0
                        gnome-tweaks                    -           3.28.1-1.0
             libreoffice-fresh-bn-in                    -            6.0.3-2.0
             libreoffice-fresh-en-gb                    -            6.0.3-2.0
             libreoffice-fresh-en-za                    -            6.0.3-2.0
          libreoffice-fresh-kmr-latn                    -            6.0.3-2.0
             libreoffice-fresh-pa-in                    -            6.0.3-2.0
             libreoffice-fresh-pt-br                    -            6.0.3-2.0
             libreoffice-fresh-sa-in                    -            6.0.3-2.0
           libreoffice-fresh-sr-latn                    -            6.0.3-2.0
             libreoffice-fresh-sw-tz                    -            6.0.3-2.0
             libreoffice-fresh-zh-cn                    -            6.0.3-2.0
             libreoffice-fresh-zh-tw                    -            6.0.3-2.0
             libreoffice-still-bn-in                    -            5.4.6-2.0
             libreoffice-still-en-gb                    -            5.4.6-2.0
             libreoffice-still-en-za                    -            5.4.6-2.0
          libreoffice-still-kmr-latn                    -            5.4.6-2.0
             libreoffice-still-pa-in                    -            5.4.6-2.0
             libreoffice-still-pt-br                    -            5.4.6-2.0
             libreoffice-still-sa-in                    -            5.4.6-2.0
           libreoffice-still-sr-latn                    -            5.4.6-2.0
             libreoffice-still-sw-tz                    -            5.4.6-2.0
             libreoffice-still-zh-cn                    -            5.4.6-2.0
             libreoffice-still-zh-tw                    -            5.4.6-2.0
                       openjdk10-src                    -           10.u46-1.0


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
      deepin-desktop-schemas-manjaro              3.2.9-1             3.2.10-1
                   manjaro-architect              0.9.7-2             0.9.10-1
          manjaro-architect-launcher              0.9.7-2             0.9.10-1
           manjaro-cinnamon-settings           20180331-1           20180408-1
                 manjaro-i3-settings           20180402-1           20180409-1
               manjaro-openbox-fonts                1.1-1                1.2-1
               manjaro-openbox-walls                1.0-2                1.0-5
                         mhwd-chroot                1.4-1           20180408-1
                           musescore              2.2-2.1            2.2.1-1.1
                            node-gyp              3.6.2-0                    -
                               pacui              1.9.2-1               1.10-1
                         screenfetch 3.8.0.r97.gea9f788-13.8.0.r107.g522c9c0-1
                   vlc-nightly-debug     3.0.0v20180114-1                    -
                                 yay              5.608-2              5.657-2
                         firefox-esr                    -             52.7.3-2
                         firefox-sse                    -             59.0.2-0


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           x32-stable          x32-testing
-------------------------------------------------------------------------------
 aarch64-linux-gnu-linux-api-headers             4.15-2.0             4.16-1.0
                             asunder            2.9.2-1.0            2.9.3-1.0
                              babeld            1.8.0-2.0            1.8.1-1.0
                               bspwm            0.9.4-1.0            0.9.5-1.0
                                c2hs          0.28.3-20.0          0.28.3-21.0
                             calibre           3.20.0-2.0           3.21.0-1.0
                           cbatticon              1.6.7-1            1.6.8-1.0
                             cryptol           2.5.0-45.0           2.5.0-47.0
              deepin-desktop-schemas            3.2.9-1.0   3.2.9.20180409-1.0
                          diffoscope               90-2.0               93-1.0
                               eclib         20171219-1.0         20171219-2.0
  firefox-extension-https-everywhere        2018.3.13-1.0         2018.4.3-1.0
                    firefox-noscript         10.1.6.5-1.0         10.1.7.5-1.0
                               flint           2.5.2-20.0           2.5.2-21.0
                            gpsbabel            1.5.4-3.0            1.5.4-4.0
                              grails            3.3.3-1.0            3.3.4-1.0
                         grails-docs            3.3.3-1.0            3.3.4-1.0
                               gsoap           2.8.65-1.0           2.8.66-1.0
                            gunicorn           19.7.1-1.0           19.7.1-2.0
                             haproxy            1.8.4-1.0            1.8.7-1.0
                haskell-aeson-pretty           0.8.5-34.0            0.8.6-1.0
                       haskell-extra            1.6.4-1.0            1.6.5-1.0
                      haskell-gnuidn           0.2.2-28.0           0.2.2-29.0
                    haskell-hedgehog            0.5.3-6.0            0.5.3-7.0
                haskell-lifted-async         0.9.3.3-16.0         0.9.3.3-17.0
                  haskell-monad-time              0.2-4.0          0.3.0.0-1.0
                 haskell-pretty-show           1.6.16-2.0              1.7-1.0
       haskell-quickcheck-assertions            0.3.0-9.0           0.3.0-10.0
                         haskell-sbv              7.6-7.0              7.6-9.0
                      haskell-shelly            1.7.2-4.0            1.7.2-5.0
              haskell-tasty-hedgehog          0.2.0.0-6.0          0.2.0.0-7.0
                         haskell-vty             5.21-6.0             5.21-7.0
                                hugo             0.38-1.0           0.38.2-1.0
                             jenkins            2.114-1.0            2.115-1.0
                                kbfs           1.0.44-1.0           1.0.47-1.0
                          kdeconnect            1.2.1-1.0            1.3.0-1.0
                              kstars          1:2.9.3-1.0          1:2.9.4-1.0
                     latte-integrale              1.7.3-4            1.7.3-5.0
                               lcalc              1.23-15            1.23-16.0
                             libbson            1.9.3-1.0            1.9.4-1.0
                             libgiac         1.4.9.59-1.0         1.4.9.59-2.0
                             libindi            1.6.2-1.0            1.7.0-1.0
                        libmediainfo            18.03-1.0          18.03.1-1.0
                           libmongoc            1.9.3-1.0            1.9.4-1.0
                       libringclient2:20180330.1.0d611bb-1.02:20180407.3.015ce0a-1.0
                              linbox            1.5.2-3.0            1.5.2-4.0
                                lxdm            0.5.3-5.0            0.5.3-6.0
                           lxdm-gtk3            0.5.3-5.0            0.5.3-6.0
                           mediainfo            18.03-1.0          18.03.1-1.0
                                 ntl             10.5.0-1           11.0.0-1.0
                         offlineimap            7.1.5-1.0            7.2.0-1.0
                             oidentd            2.2.0-1.0            2.2.3-1.0
                             opendht       1:1.7.0rc4-1.0       1:1.7.0rc5-1.0
                                 pcb          1:4.1.0-1.0          1:4.1.1-1.0
                perl-datetime-locale             1.17-1.0             1.18-1.0
                  perl-mediawiki-api               0.41-2             0.41-3.0
                          phpmyadmin            4.7.9-1.0            4.8.0-1.0
                             pkgconf            1.4.1-1.0            1.4.2-1.0
                   powerdns-recursor            4.1.1-1.0            4.1.2-1.0
                             pugixml                1.8-1              1.9-1.0
                             pychess           0.99.1-1.0           0.99.1-2.0
                               pynac           0.7.18-1.0           0.7.19-2.0
                      python-aiohttp            3.1.0-1.0            3.1.2-1.0
                      python-alembic            0.9.8-1.0            0.9.9-1.0
                    python-ansi2html            1.4.1-1.0            1.4.2-1.0
                      python-axolotl             0.1.39-2           0.1.42-1.0
              python-cached-property            1.4.0-1.0            1.4.2-1.0
                      python-cheroot            6.1.0-1.0            6.2.0-1.0
                        python-gnupg              0.4.1-1            0.4.2-1.0
                    python-jellyfish              0.5.6-1            0.6.0-1.0
                        python-munch            2.2.0-1.0            2.3.0-1.0
                          python-pbr              3.1.1-1            4.0.1-1.0
                        python-pcapy             0.11.1-1           0.11.3-1.0
                       python-pipenv           11.9.0-2.0           11.9.0-4.0
                  python-progressbar           3.36.1-1.0           3.37.0-1.0
                     python-pygithub             1.38-1.0             1.39-1.0
                  python-pytest-mock            1.8.0-1.0            1.9.0-1.0
                     python-tenacity            4.9.0-1.0           4.10.0-1.0
                        python-txaio            2.9.0-1.0           2.10.0-1.0
                    python-u-msgpack            2.4.1-1.0            2.5.0-1.0
                      python-wsproto           0.11.0-1.0           0.11.0-2.0
                     python2-alembic            0.9.8-1.0            0.9.9-1.0
                     python2-axolotl             0.1.39-2           0.1.42-1.0
             python2-cached-property            1.4.0-1.0            1.4.2-1.0
                     python2-cheroot            6.1.0-1.0            6.2.0-1.0
                       python2-gnupg              0.4.1-1            0.4.2-1.0
                    python2-gunicorn           19.7.1-1.0           19.7.1-2.0
                   python2-jellyfish              0.5.6-1            0.6.0-1.0
                    python2-m2crypto             0.27.0-1           0.29.0-1.0
                       python2-munch            2.2.0-1.0            2.3.0-1.0
                         python2-pbr              3.1.1-1            4.0.1-1.0
                       python2-pcapy             0.11.1-1           0.11.3-1.0
                      python2-pipenv           11.9.0-2.0           11.9.0-4.0
                 python2-progressbar           3.36.1-1.0           3.37.0-1.0
                    python2-pygithub             1.38-1.0             1.39-1.0
                 python2-pytest-mock            1.8.0-1.0            1.9.0-1.0
                    python2-tenacity            4.9.0-1.0           4.10.0-1.0
                       python2-txaio            2.9.0-1.0           2.10.0-1.0
                   python2-u-msgpack            2.4.1-1.0            2.5.0-1.0
                     python2-wsproto           0.11.0-1.0           0.11.0-2.0
                             remmina  1:1.2.0rcgit.27-1.0  1:1.2.0rcgit.27-2.0
                              restic            0.8.3-2.0            0.8.3-3.0
                         ring-daemon2:20180330.1.0d611bb-1.02:20180407.3.015ce0a-1.0
                          ring-gnome3:20180330.1.0d611bb-1.03:20180407.3.015ce0a-1.0
                          ruby-async            1.4.0-1.0            1.4.1-1.0
                       ruby-async-io            1.4.0-1.0            1.6.1-1.0
                       ruby-mail-gpg            0.3.1-2.0            0.3.3-1.0
                      ruby-nats-pure            0.4.0-1.0            0.5.0-1.0
                           ruby-sass            3.5.5-1.0            3.5.6-1.0
                            sagemath             8.1-11.0             8.1-12.0
                    sagemath-jupyter             8.1-11.0             8.1-12.0
                                salt         2017.7.4-1.0         2018.3.0-1.0
                         simple-scan           3.28.0-1.0           3.28.1-1.0
                            singular         4.1.1.p1-1.0         4.1.1.p1-2.0
                            snap-pac            2.0.1-1.0              2.1-1.0
                              sqlmap            1.2.3-1.0            1.2.4-1.0
                       supercollider            3.9.2-1.0            3.9.3-1.0
                    telegram-desktop           1.2.15-1.0           1.2.17-1.0
                          testssl.sh          2.9.5.2-1.0          2.9.5.3-1.0
                     ttf-inconsolata   20151221.480630d-2        1:2.0.0.1-3.0
                           uglify-js           3.3.18-1.0           3.3.20-1.0
                           veracrypt               1.21-2             1.22-1.0
                       vim-gitgutter      490.37bdd03-1.0      491.3724e1c-1.0
                            vim-jedi              0.8.0-3            0.9.0-1.0
                          wanderlust         20180116-1.0         20180409-1.0
                                xcas         1.4.9.59-1.0         1.4.9.59-2.0
                              xmobar            0.25-24.0             0.26-1.0
                          youtube-dl       2018.04.03-1.0       2018.04.09-1.0
                              artyfx                    -              1.3-2.0
                              catch2                    -            2.2.2-1.0
                             coxeter                    -     git.20180226-1.0
                         dpf-plugins                    -              1.1-2.0
                               fabla                    -            1.3.2-2.0
                         flatbuffers                    -            1.9.0-1.0
                        freewheeling                    -            0.6.4-2.0
                               giada                    -           0.14.6-3.0
                    haskell-easytest                    -              0.2-1.0
                     haskell-findbin                    -            0.0.5-1.0
                     infamousplugins                    -           0.2.04-3.0
                              ir.lv2                    -            1.3.3-2.0
                              kasync                    -            0.2.0-2.0
                     kcm-wacomtablet                    -          1:3.0.0-1.0
                               kdav2                    -            0.1.0-2.0
                              kimap2                    -            0.2.1-1.0
                                kube                    -            0.6.0-1.0
                               luppp                    -            1.1.1-2.0
                      magnum-plugins                    -          2018.02-1.0
                            node-gyp                    -            3.6.2-1.0
                           non-mixer                    -            1.2.0-2.0
                       non-sequencer                    -            1.9.5-2.0
                 non-session-manager                    -            1.2.0-2.0
                        non-timeline                    -            1.2.0-2.0
                                 ntk                    -         1.3.1000-3.0
                      perl-data-perl                    -         0.002009-4.0
                perl-moox-handlesvia                    -         0.001008-5.0
                            physlock                    -               11-2.0
                     python-m2crypto                    -           0.29.0-1.0
                        python-scapy                    -            2.4.0-1.0
                     python-wxpython                    -            4.0.1-1.0
                       python2-scapy                    -            2.4.0-1.0
                   python2-wxpython3                    -          3.0.2.0-1.0
                            rt-tests                    -              1.1-3.0
                                sink                    -            0.6.0-1.0
                               sndio                    -            1.4.0-1.0
                              sorcer                    -            1.1.3-2.0
                              t-prot                    -              3.4-3.0
                   teensy-loader-cli                    -              2.1-2.0
                              trojan                    -            1.0.0-2.0
                         zam-plugins                    -             3.10-4.0

Any problems?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Is x32-testing ready to be moved to x32-stable?

This will inform the snap process; there is no set threshold.

Please vote on the “is it ready yet?” poll but only when you feel this set is tested enough, and has a sufficient number of changes compared to x32-stable. Do keep in mind that x32-stable updates should be less frequent than x32-testing so not every testing update set should need to be moved over.

  • No or Not yet
  • Yes, x32-testing should be snapped to x32-stable at this point
  • Other (post)

0 voters


[Repo Maintenance x32] 2018-04-14 - Getting the repos working again
#2

Known issues and solutions


key "Erich Eckner (just to sign arch packages) <arch@eckner.net>" is disabled

Erich’s old package signing key expired so he re-signed his packages and uploaded the new key files. Our server software, boxit, can’t handle this so the files in our repos still hold the old signature files. The repo needs cleaning server-side.



#3

A few synced packages:

:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                               gnupg            2.2.5-1.0            2.2.5-2.0
                           logrotate           3.13.0-1.0           3.14.0-1.0


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                             devhelp3.28.0+3+g3ab07e3c-1.0           3.28.1-1.0
                               ncmpc             0.29-2.0             0.30-1.0


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                               scite              4.0.3-1                    -
                                 yay              5.608-2              5.657-2


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                             asunder            2.9.2-1.0            2.9.3-1.0
                                c2hs          0.28.3-20.0          0.28.3-21.0
  firefox-extension-https-everywhere        2018.3.13-1.0         2018.4.3-1.0
                haskell-aeson-pretty           0.8.5-34.0            0.8.6-1.0
                      haskell-gnuidn           0.2.2-28.0           0.2.2-29.0
                    haskell-hedgehog            0.5.3-6.0            0.5.3-7.0
                haskell-lifted-async         0.9.3.3-16.0         0.9.3.3-17.0
                  haskell-monad-time              0.2-4.0          0.3.0.0-1.0
                 haskell-pretty-show           1.6.16-2.0              1.7-1.0
       haskell-quickcheck-assertions            0.3.0-9.0           0.3.0-10.0
                      haskell-shelly            1.7.2-4.0            1.7.2-5.0
              haskell-tasty-hedgehog          0.2.0.0-6.0          0.2.0.0-7.0
                         haskell-vty             5.21-6.0             5.21-7.0
                                kbfs           1.0.44-1.0           1.0.47-1.0
                              kstars          1:2.9.3-1.0          1:2.9.4-1.0
                               lcalc              1.23-15            1.23-16.0
                             libindi            1.6.2-1.0            1.7.0-1.0
                       libringclient2:20180330.1.0d611bb-1.02:20180407.3.015ce0a-1.0
                             opendht       1:1.7.0rc4-1.0       1:1.7.0rc5-1.0
                      python-cheroot            6.1.0-1.0            6.1.2-1.0
                        python-gnupg              0.4.1-1            0.4.2-1.0
                          python-pbr              3.1.1-1            4.0.1-1.0
                       python-pipenv           11.9.0-3.0           11.9.0-4.0
                  python-progressbar           3.36.1-1.0           3.37.0-1.0
                    python-u-msgpack            2.4.1-1.0            2.5.0-1.0
                     python2-cheroot            6.1.0-1.0            6.1.2-1.0
                       python2-gnupg              0.4.1-1            0.4.2-1.0
                         python2-pbr              3.1.1-1            4.0.1-1.0
                      python2-pipenv           11.9.0-2.0           11.9.0-4.0
                 python2-progressbar           3.36.1-1.0           3.37.0-1.0
                   python2-u-msgpack            2.4.1-1.0            2.5.0-1.0
                         ring-daemon2:20180330.1.0d611bb-1.02:20180407.3.015ce0a-1.0
                      ruby-nats-pure            0.4.0-1.0            0.5.0-1.0
                            snap-pac            2.0.1-1.0              2.1-1.0
                           uglify-js           3.3.19-1.0           3.3.20-1.0

#4

Pretty significant update to include kernels, systemd, and the new Firefox packages:

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                          libsystemd           238.51-1.1             238.76-1
                            linux414            4.14.32-1            4.14.33-2
                    linux414-headers            4.14.32-1            4.14.33-2
                             linux44            4.4.126-1            4.4.127-1
                     linux44-headers            4.4.126-1            4.4.127-1
                             linux49             4.9.92-1             4.9.93-1
                     linux49-headers             4.9.92-1             4.9.93-1
                           procps-ng             3.3.13-0           3.3.13-1.1
                             systemd           238.51-1.1             238.76-1
                  systemd-sysvcompat           238.51-1.1             238.76-1
                      linux-firmware                    -   20180402.8c1e439-1


:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                 archlinux32-keyring           20180104-1         20180411-1.0
                         openssl-1.0          1.0.2.n-1.0          1.0.2.o-1.0


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                       calamares-git3.2.0.r4456.3a54f4488-13.2.0.r4494.031416a1d-1
                        linux316-spl              0.7.7-1              0.7.8-1
                        linux316-zfs              0.7.7-1              0.7.8-1
                         linux41-spl              0.7.7-1              0.7.8-1
                         linux41-zfs              0.7.7-1              0.7.8-1
                  linux414-acpi_call             1.1.0-29             1.1.0-30
                   linux414-bbswitch               0.8-29               0.8-30
                linux414-broadcom-wl      6.30.223.271-29      6.30.223.271-30
                linux414-ndiswrapper              1.61-29              1.61-30
                     linux414-nvidia           1:390.48-2           1:390.48-3
               linux414-nvidia-304xx         1:304.137-29         1:304.137-30
               linux414-nvidia-340xx           340.106-17           340.106-18
                      linux414-r8168          8.045.08-17          8.045.08-18
                  linux414-rt3562sta        2.4.1.1_r4-29        2.4.1.1_r4-30
                        linux414-spl              0.7.7-2              0.7.8-2
                   linux414-tp_smapi              0.41-29              0.41-30
                linux414-vhba-module          20161009-29          20161009-30
   linux414-virtualbox-guest-modules              5.2.8-9             5.2.8-10
    linux414-virtualbox-host-modules              5.2.8-9             5.2.8-10
                        linux414-zfs              0.7.7-2              0.7.8-2
                   linux44-acpi_call             1.1.0-89             1.1.0-90
                 linux44-broadcom-wl      6.30.223.271-59      6.30.223.271-60
                 linux44-ndiswrapper              1.61-57              1.61-58
                      linux44-nvidia           1:390.48-1           1:390.48-2
                linux44-nvidia-304xx         1:304.137-24         1:304.137-25
                linux44-nvidia-340xx           340.106-11           340.106-12
       linux44-open-vm-tools-modules      2:2013.09.16-89      2:2013.09.16-90
                       linux44-r8168          8.045.08-11          8.045.08-12
                   linux44-rt3562sta        2.4.1.1_r4-57        2.4.1.1_r4-58
                         linux44-spl              0.7.7-1              0.7.8-1
                 linux44-vhba-module          20161009-57          20161009-58
    linux44-virtualbox-guest-modules              5.2.8-4              5.2.8-5
     linux44-virtualbox-host-modules              5.2.8-4              5.2.8-5
                         linux44-zfs              0.7.7-1              0.7.8-1
                   linux49-acpi_call             1.1.0-71             1.1.0-72
                    linux49-bbswitch               0.8-71               0.8-72
                 linux49-broadcom-wl      6.30.223.271-71      6.30.223.271-72
                 linux49-ndiswrapper              1.61-69              1.61-70
                      linux49-nvidia           1:390.48-1           1:390.48-2
                linux49-nvidia-304xx         1:304.137-30         1:304.137-31
                linux49-nvidia-340xx           340.106-11           340.106-12
                       linux49-r8168          8.045.08-11          8.045.08-12
                   linux49-rt3562sta        2.4.1.1_r4-69        2.4.1.1_r4-70
                         linux49-spl              0.7.7-1              0.7.8-1
                    linux49-tp_smapi              0.41-71              0.41-72
                 linux49-vhba-module          20161009-69          20161009-70
    linux49-virtualbox-guest-modules              5.2.8-5              5.2.8-6
     linux49-virtualbox-host-modules              5.2.8-5              5.2.8-6
                         linux49-zfs              0.7.7-1              0.7.8-1
                   ndiswrapper-utils              1.61-29              1.61-30
                    rt3562sta-common        2.4.1.1_r4-69        2.4.1.1_r4-70
                            spl-dkms              0.7.7-1              0.7.8-1
                           spl-utils              0.7.7-1              0.7.8-1
                         thunar-gtk3              1.7.2-1              1.7.2-2
                          xfwm4-gtk3            4.13.0-10            4.13.0-11
                            zfs-dkms              0.7.7-1              0.7.8-1
                           zfs-utils              0.7.7-1              0.7.8-1
                      linux-firmware                    -   20180402.8c1e439-1


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                                 eog           3.28.0-1.0           3.28.1-1.0
                           evolution3.28.0+8+gf3e2c90d24-1.0           3.28.1-1.0
                evolution-bogofilter3.28.0+8+gf3e2c90d24-1.0           3.28.1-1.0
               evolution-data-server3.28.0+6+g501f51b1c-2.0           3.28.1-1.0
                       evolution-ews           3.28.0-1.0           3.28.1-1.0
              evolution-spamassassin3.28.0+8+gf3e2c90d24-1.0           3.28.1-1.0
                             freetds          1.00.84-1.0          1.00.86-1.0
                             fribidi 1.0.1+8+gdf7252b-1.0            1.0.2-1.0
                               gedit           3.28.0-2.0           3.28.1-1.0
                       gedit-plugins3.28.0+1+g94f1400-1.0           3.28.1-1.0
                      geoip-database         20180306-1.0         20180403-1.0
                geoip-database-extra         20180306-1.0         20180403-1.0
                    gnome-calculator           3.28.0-1.0           3.28.1-1.0
                  gnome-disk-utility           3.28.0-1.0           3.28.1-1.0
          gnome-getting-started-docs           3.28.0-1.0           3.28.1-1.0
                          gnome-maps           3.28.0-1.0           3.28.1-1.0
                         gnome-music             3.26.1-1       1:3.28.0.1-1.0
                gnome-system-monitor           3.28.0-1.0           3.28.1-1.0
                      gnome-terminal           3.28.0-2.0           3.28.1-1.0
                     gnome-user-docs           3.28.0-1.0           3.28.1-1.0
               gtk-update-icon-cache3.22.29+60+ge42d8598ca-1.03.22.29+86+gd92df4ff2c-1.0
                                gtk33.22.29+60+ge42d8598ca-1.03.22.29+86+gd92df4ff2c-1.0
                                gvfs           1.36.0-2.0           1.36.1-1.0
                            gvfs-afc           1.36.0-2.0           1.36.1-1.0
                            gvfs-goa           1.36.0-2.0           1.36.1-1.0
                         gvfs-google           1.36.0-2.0           1.36.1-1.0
                        gvfs-gphoto2           1.36.0-2.0           1.36.1-1.0
                            gvfs-mtp           1.36.0-2.0           1.36.1-1.0
                            gvfs-nfs           1.36.0-2.0           1.36.1-1.0
                            gvfs-smb           1.36.0-2.0           1.36.1-1.0
                          knetattach           5.12.4-1.0           5.12.4-2.0
                             libsoup           2.62.0-1.0           2.62.1-1.0
                      plasma-desktop           5.12.4-1.0           5.12.4-2.0
                               solid           5.44.0-1.0           5.44.0-2.0
                                vala           0.40.2-1.0           0.40.3-1.0
                          vte-common           0.52.0-1.0           0.52.1-1.0
                                vte3           0.52.0-1.0           0.52.1-1.0
                      vulkan-headers         1:1.1.70-3.0         1:1.1.72-1.0
                    vulkan-html-docs         1:1.1.70-3.0         1:1.1.72-1.0
                        gnome-tweaks                    -           3.28.1-1.0
             libreoffice-fresh-bn-in                    -            6.0.3-2.0
             libreoffice-fresh-en-gb                    -            6.0.3-2.0
             libreoffice-fresh-en-za                    -            6.0.3-2.0
          libreoffice-fresh-kmr-latn                    -            6.0.3-2.0
             libreoffice-fresh-pa-in                    -            6.0.3-2.0
             libreoffice-fresh-pt-br                    -            6.0.3-2.0
             libreoffice-fresh-sa-in                    -            6.0.3-2.0
           libreoffice-fresh-sr-latn                    -            6.0.3-2.0
             libreoffice-fresh-sw-tz                    -            6.0.3-2.0
             libreoffice-fresh-zh-cn                    -            6.0.3-2.0
             libreoffice-fresh-zh-tw                    -            6.0.3-2.0
             libreoffice-still-bn-in                    -            5.4.6-2.0
             libreoffice-still-en-gb                    -            5.4.6-2.0
             libreoffice-still-en-za                    -            5.4.6-2.0
          libreoffice-still-kmr-latn                    -            5.4.6-2.0
             libreoffice-still-pa-in                    -            5.4.6-2.0
             libreoffice-still-pt-br                    -            5.4.6-2.0
             libreoffice-still-sa-in                    -            5.4.6-2.0
           libreoffice-still-sr-latn                    -            5.4.6-2.0
             libreoffice-still-sw-tz                    -            5.4.6-2.0
             libreoffice-still-zh-cn                    -            5.4.6-2.0
             libreoffice-still-zh-tw                    -            5.4.6-2.0
                       openjdk10-src                    -           10.u46-1.0

:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
      deepin-desktop-schemas-manjaro              3.2.9-1             3.2.10-1
                           musescore              2.2-2.1            2.2.1-1.1
                         firefox-esr                    -             52.7.3-2
                         firefox-sse                    -             59.0.2-0


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                               bspwm            0.9.4-1.0            0.9.5-1.0
                           cbatticon              1.6.7-1            1.6.8-1.0
                             cryptol           2.5.0-45.0           2.5.0-47.0
              deepin-desktop-schemas            3.2.9-1.0   3.2.9.20180409-1.0
                               eclib         20171219-1.0         20171219-2.0
                    firefox-noscript         10.1.6.5-1.0         10.1.7.5-1.0
                               flint           2.5.2-20.0           2.5.2-21.0
                               gsoap           2.8.65-1.0           2.8.66-1.0
                            gunicorn           19.7.1-1.0           19.7.1-2.0
                       haskell-extra            1.6.4-1.0            1.6.5-1.0
                         haskell-sbv              7.6-7.0              7.6-9.0
                                hugo             0.38-1.0           0.38.2-1.0
                             jenkins            2.114-1.0            2.115-1.0
                          kdeconnect            1.2.1-1.0            1.3.0-1.0
                     latte-integrale              1.7.3-4            1.7.3-5.0
                             libbson            1.9.3-1.0            1.9.4-1.0
                             libgiac         1.4.9.59-1.0         1.4.9.59-2.0
                           libmongoc            1.9.3-1.0            1.9.4-1.0
                              linbox            1.5.2-3.0            1.5.2-4.0
                                lxdm            0.5.3-5.0            0.5.3-6.0
                           lxdm-gtk3            0.5.3-5.0            0.5.3-6.0
                                 ntl             10.5.0-1           11.0.0-1.0
                         offlineimap            7.1.5-1.0            7.2.0-1.0
                                 pcb          1:4.1.0-1.0          1:4.1.1-1.0
                perl-datetime-locale             1.17-1.0             1.18-1.0
                  perl-mediawiki-api               0.41-2             0.41-3.0
                          phpmyadmin            4.7.9-1.0            4.8.0-1.0
                             pugixml                1.8-1              1.9-1.0
                             pychess           0.99.1-1.0           0.99.1-2.0
                               pynac           0.7.18-1.0           0.7.19-2.0
                    python-ansi2html            1.4.1-1.0            1.4.2-1.0
              python-cached-property            1.4.0-1.0            1.4.2-1.0
                      python-cheroot            6.1.2-1.0            6.2.0-1.0
                    python-jellyfish              0.5.6-1            0.6.0-1.0
                        python-munch            2.2.0-1.0            2.3.0-1.0
                     python-pygithub             1.38-1.0             1.39-1.0
                  python-pytest-mock            1.8.0-1.0            1.9.0-1.0
                     python-tenacity            4.9.0-1.0           4.10.0-1.0
                        python-txaio            2.9.0-1.0           2.10.0-1.0
                      python-wsproto           0.11.0-1.0           0.11.0-2.0
             python2-cached-property            1.4.0-1.0            1.4.2-1.0
                     python2-cheroot            6.1.2-1.0            6.2.0-1.0
                    python2-gunicorn           19.7.1-1.0           19.7.1-2.0
                   python2-jellyfish              0.5.6-1            0.6.0-1.0
                       python2-munch            2.2.0-1.0            2.3.0-1.0
                    python2-pygithub             1.38-1.0             1.39-1.0
                 python2-pytest-mock            1.8.0-1.0            1.9.0-1.0
                    python2-tenacity            4.9.0-1.0           4.10.0-1.0
                       python2-txaio            2.9.0-1.0           2.10.0-1.0
                     python2-wsproto           0.11.0-1.0           0.11.0-2.0
                             remmina  1:1.2.0rcgit.27-1.0  1:1.2.0rcgit.27-2.0
                          ring-gnome3:20180330.1.0d611bb-1.03:20180407.3.015ce0a-1.0
                            sagemath             8.1-11.0             8.1-12.0
                    sagemath-jupyter             8.1-11.0             8.1-12.0
                         simple-scan           3.28.0-1.0           3.28.1-1.0
                            singular         4.1.1.p1-1.0         4.1.1.p1-2.0
                       supercollider            3.9.2-1.0            3.9.3-1.0
                    telegram-desktop           1.2.15-1.0           1.2.17-1.0
                     ttf-inconsolata   20151221.480630d-2        1:2.0.0.1-3.0
                          wanderlust         20180116-1.0         20180409-1.0
                                xcas         1.4.9.59-1.0         1.4.9.59-2.0
                          youtube-dl       2018.04.03-1.0       2018.04.09-1.0
                              artyfx                    -              1.3-2.0
                              catch2                    -            2.2.2-1.0
                             coxeter                    -     git.20180226-1.0
                         dpf-plugins                    -              1.1-2.0
                               fabla                    -            1.3.2-2.0
                         flatbuffers                    -            1.9.0-1.0
                        freewheeling                    -            0.6.4-2.0
                               giada                    -           0.14.6-3.0
                    haskell-easytest                    -              0.2-1.0
                     haskell-findbin                    -            0.0.5-1.0
                     infamousplugins                    -           0.2.04-3.0
                              ir.lv2                    -            1.3.3-2.0
                              kasync                    -            0.2.0-2.0
                     kcm-wacomtablet                    -          1:3.0.0-1.0
                               kdav2                    -            0.1.0-2.0
                              kimap2                    -            0.2.1-1.0
                                kube                    -            0.6.0-1.0
                               luppp                    -            1.1.1-2.0
                      magnum-plugins                    -          2018.02-1.0
                            node-gyp                    -            3.6.2-1.0
                           non-mixer                    -            1.2.0-2.0
                       non-sequencer                    -            1.9.5-2.0
                 non-session-manager                    -            1.2.0-2.0
                        non-timeline                    -            1.2.0-2.0
                                 ntk                    -         1.3.1000-3.0
                      perl-data-perl                    -         0.002009-4.0
                perl-moox-handlesvia                    -         0.001008-5.0
                            physlock                    -               11-2.0
                     python-m2crypto                    -           0.29.0-1.0
                        python-scapy                    -            2.4.0-1.0
                     python-wxpython                    -            4.0.1-1.0
                       python2-scapy                    -            2.4.0-1.0
                   python2-wxpython3                    -          3.0.2.0-1.0
                            rt-tests                    -              1.1-3.0
                                sink                    -            0.6.0-1.0
                               sndio                    -            1.4.0-1.0
                              sorcer                    -            1.1.3-2.0
                              t-prot                    -              3.4-3.0
                   teensy-loader-cli                    -              2.1-2.0
                              trojan                    -            1.0.0-2.0
                         zam-plugins                    -             3.10-4.0

@aaa @pjpreilly you may both be interested in the firefox-sse and firefox-esr packages.


Let’s also remove these overlay packages as upstream have caught up:

:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            node-gyp              3.6.2-0                    -


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                libreoffice-fresh-af           6.0.3-2.01                    -
                libreoffice-fresh-am           6.0.3-2.01                    -
                libreoffice-fresh-ar           6.0.3-2.01                    -
                libreoffice-fresh-as           6.0.3-2.01                    -
               libreoffice-fresh-ast           6.0.3-2.01                    -
                libreoffice-fresh-be           6.0.3-2.01                    -
                libreoffice-fresh-bg           6.0.3-2.01                    -
                libreoffice-fresh-bn           6.0.3-2.01                    -
             libreoffice-fresh-bn-in           6.0.3-2.01                    -
                libreoffice-fresh-bo           6.0.3-2.01                    -
                libreoffice-fresh-br           6.0.3-2.01                    -
               libreoffice-fresh-brx           6.0.3-2.01                    -
                libreoffice-fresh-bs           6.0.3-2.01                    -
                libreoffice-fresh-ca           6.0.3-2.01                    -
       libreoffice-fresh-ca-valencia           6.0.3-2.01                    -
                libreoffice-fresh-cs           6.0.3-2.01                    -
                libreoffice-fresh-cy           6.0.3-2.01                    -
                libreoffice-fresh-da           6.0.3-2.01                    -
                libreoffice-fresh-de           6.0.3-2.01                    -
               libreoffice-fresh-dgo           6.0.3-2.01                    -
                libreoffice-fresh-dz           6.0.3-2.01                    -
                libreoffice-fresh-el           6.0.3-2.01                    -
             libreoffice-fresh-en-gb           6.0.3-2.01                    -
             libreoffice-fresh-en-za           6.0.3-2.01                    -
                libreoffice-fresh-eo           6.0.3-2.01                    -
                libreoffice-fresh-es           6.0.3-2.01                    -
                libreoffice-fresh-et           6.0.3-2.01                    -
                libreoffice-fresh-eu           6.0.3-2.01                    -
                libreoffice-fresh-fa           6.0.3-2.01                    -
                libreoffice-fresh-fi           6.0.3-2.01                    -
                libreoffice-fresh-fr           6.0.3-2.01                    -
                libreoffice-fresh-ga           6.0.3-2.01                    -
                libreoffice-fresh-gd           6.0.3-2.01                    -
                libreoffice-fresh-gl           6.0.3-2.01                    -
                libreoffice-fresh-gu           6.0.3-2.01                    -
                libreoffice-fresh-he           6.0.3-2.01                    -
                libreoffice-fresh-hi           6.0.3-2.01                    -
                libreoffice-fresh-hr           6.0.3-2.01                    -
                libreoffice-fresh-hu           6.0.3-2.01                    -
                libreoffice-fresh-id           6.0.3-2.01                    -
                libreoffice-fresh-is           6.0.3-2.01                    -
                libreoffice-fresh-it           6.0.3-2.01                    -
                libreoffice-fresh-ja           6.0.3-2.01                    -
                libreoffice-fresh-ka           6.0.3-2.01                    -
                libreoffice-fresh-kk           6.0.3-2.01                    -
                libreoffice-fresh-km           6.0.3-2.01                    -
          libreoffice-fresh-kmr-latn           6.0.3-2.01                    -
                libreoffice-fresh-kn           6.0.3-2.01                    -
                libreoffice-fresh-ko           6.0.3-2.01                    -
               libreoffice-fresh-kok           6.0.3-2.01                    -
                libreoffice-fresh-ks           6.0.3-2.01                    -
                libreoffice-fresh-lb           6.0.3-2.01                    -
                libreoffice-fresh-lo           6.0.3-2.01                    -
                libreoffice-fresh-lt           6.0.3-2.01                    -
                libreoffice-fresh-lv           6.0.3-2.01                    -
               libreoffice-fresh-mai           6.0.3-2.01                    -
                libreoffice-fresh-mk           6.0.3-2.01                    -
                libreoffice-fresh-ml           6.0.3-2.01                    -
                libreoffice-fresh-mn           6.0.3-2.01                    -
               libreoffice-fresh-mni           6.0.3-2.01                    -
                libreoffice-fresh-mr           6.0.3-2.01                    -
                libreoffice-fresh-my           6.0.3-2.01                    -
                libreoffice-fresh-nb           6.0.3-2.01                    -
                libreoffice-fresh-ne           6.0.3-2.01                    -
                libreoffice-fresh-nl           6.0.3-2.01                    -
                libreoffice-fresh-nn           6.0.3-2.01                    -
                libreoffice-fresh-nr           6.0.3-2.01                    -
               libreoffice-fresh-nso           6.0.3-2.01                    -
                libreoffice-fresh-oc           6.0.3-2.01                    -
                libreoffice-fresh-om           6.0.3-2.01                    -
                libreoffice-fresh-or           6.0.3-2.01                    -
             libreoffice-fresh-pa-in           6.0.3-2.01                    -
                libreoffice-fresh-pl           6.0.3-2.01                    -
                libreoffice-fresh-pt           6.0.3-2.01                    -
             libreoffice-fresh-pt-br           6.0.3-2.01                    -
                libreoffice-fresh-ro           6.0.3-2.01                    -
                libreoffice-fresh-ru           6.0.3-2.01                    -
                libreoffice-fresh-rw           6.0.3-2.01                    -
             libreoffice-fresh-sa-in           6.0.3-2.01                    -
               libreoffice-fresh-sat           6.0.3-2.01                    -
                libreoffice-fresh-sd           6.0.3-2.01                    -
                libreoffice-fresh-si           6.0.3-2.01                    -
               libreoffice-fresh-sid           6.0.3-2.01                    -
                libreoffice-fresh-sk           6.0.3-2.01                    -
                libreoffice-fresh-sl           6.0.3-2.01                    -
                libreoffice-fresh-sq           6.0.3-2.01                    -
                libreoffice-fresh-sr           6.0.3-2.01                    -
           libreoffice-fresh-sr-latn           6.0.3-2.01                    -
                libreoffice-fresh-ss           6.0.3-2.01                    -
                libreoffice-fresh-st           6.0.3-2.01                    -
                libreoffice-fresh-sv           6.0.3-2.01                    -
             libreoffice-fresh-sw-tz           6.0.3-2.01                    -
                libreoffice-fresh-ta           6.0.3-2.01                    -
                libreoffice-fresh-te           6.0.3-2.01                    -
                libreoffice-fresh-tg           6.0.3-2.01                    -
                libreoffice-fresh-th           6.0.3-2.01                    -
                libreoffice-fresh-tn           6.0.3-2.01                    -
                libreoffice-fresh-tr           6.0.3-2.01                    -
                libreoffice-fresh-ts           6.0.3-2.01                    -
                libreoffice-fresh-tt           6.0.3-2.01                    -
                libreoffice-fresh-ug           6.0.3-2.01                    -
                libreoffice-fresh-uk           6.0.3-2.01                    -
                libreoffice-fresh-uz           6.0.3-2.01                    -
                libreoffice-fresh-ve           6.0.3-2.01                    -
                libreoffice-fresh-vi           6.0.3-2.01                    -
                libreoffice-fresh-xh           6.0.3-2.01                    -
             libreoffice-fresh-zh-cn           6.0.3-2.01                    -
             libreoffice-fresh-zh-tw           6.0.3-2.01                    -
                libreoffice-fresh-zu           6.0.3-2.01                    -

Update procps-ng and fix topdefaultrc:

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                           procps-ng           3.3.13-1.1             3.3.14-0

#5

Another synced set with some repo clean-up:

:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                              libidn               1.33-2                    -
                           procps-ng           3.3.12-3.0           3.3.13-1.0


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                               clisp               2.49-6          2.49.93-1.0
                              colord            1.4.2-1.0            1.4.2-3.0
                         gnome-chess3.28.0+6+g93fa6a2-1.0           3.28.1-1.0
                gnome-control-center           3.28.0-1.0           3.28.1-1.0
                         gnome-music       1:3.28.0.1-1.0         1:3.28.1-1.0
                       gnome-session           3.28.0-2.0           3.28.1-1.0
             libreoffice-fresh-bn-IN            6.0.1-1.0                    -
             libreoffice-fresh-en-GB            6.0.1-1.0                    -
             libreoffice-fresh-en-ZA            6.0.1-1.0                    -
          libreoffice-fresh-kmr-Latn            6.0.1-1.0                    -
             libreoffice-fresh-pa-IN            6.0.1-1.0                    -
             libreoffice-fresh-pt-BR            6.0.1-1.0                    -
             libreoffice-fresh-sa-IN            6.0.1-1.0                    -
           libreoffice-fresh-sr-Latn            6.0.1-1.0                    -
             libreoffice-fresh-sw-TZ            6.0.1-1.0                    -
             libreoffice-fresh-zh-CN            6.0.1-1.0                    -
             libreoffice-fresh-zh-TW            6.0.1-1.0                    -
             libreoffice-still-bn-IN            5.4.5-1.0                    -
             libreoffice-still-en-GB            5.4.5-1.0                    -
             libreoffice-still-en-ZA            5.4.5-1.0                    -
          libreoffice-still-kmr-Latn            5.4.5-1.0                    -
             libreoffice-still-pa-IN            5.4.5-1.0                    -
             libreoffice-still-pt-BR            5.4.5-1.0                    -
             libreoffice-still-sa-IN            5.4.5-1.0                    -
           libreoffice-still-sr-Latn            5.4.5-1.0                    -
             libreoffice-still-sw-TZ            5.4.5-1.0                    -
             libreoffice-still-zh-CN            5.4.5-1.0                    -
             libreoffice-still-zh-TW            5.4.5-1.0                    -
                      qemu-block-rbd             2.10.1-1                    -


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                         bluegriffon              2.3.1-3                    -
                               botan            2.4.0-1.0            2.5.0-4.0
                       cabal-install         2.0.0.1-45.0         2.0.0.1-47.0
                                ceph           12.2.2-1.0                    -
                           ceph-libs           12.2.2-1.0                    -
                               cgrep          6.6.23-20.0          6.6.23-21.0
                           cinepaint            1:1.0.4-5                    -
                          clementine           1.3.1-14.0           1.3.1-15.0
                              clinfo     2.2.17.10.25-1.0     2.2.18.04.06-1.0
                               cryfs            0.9.9-2.0            0.9.9-3.0
                            crypto++            6.1.0-1.0            7.0.0-1.0
                                cuda            9.0.176-4                    -
                               cudnn              7.0.3-1                    -
                               darcs           2.14.0-2.0           2.14.0-4.0
                              devede           4.8.12-1.0            4.9.0-1.0
                          foxtrotgps              1.2.0-2            1.2.1-1.0
                             fractal           0.1.22-1.0           0.1.25-1.0
                             gbrainy          1:2.3.4-1.0          1:2.3.5-1.0
                                gdal            2.2.3-3.0            2.2.3-3.1
                        gitlab-shell          2:7.1.1-1.0          2:7.1.2-1.0
                    haskell-aeson-qq           0.8.2-27.0           0.8.2-28.0
                haskell-authenticate           1.3.4-79.0           1.3.4-80.0
         haskell-conduit-combinators           1.1.2-47.0           1.1.2-48.0
               haskell-conduit-extra         1.2.3.2-30.0         1.2.3.2-31.0
                  haskell-connection           0.2.8-64.0           0.2.8-65.0
                   haskell-criterion         1.4.0.0-18.0         1.4.0.0-19.0
          haskell-cryptohash-conduit          0.1.1-155.0          0.1.1-156.0
          haskell-cryptonite-conduit           0.2.2-48.0           0.2.2-49.0
                haskell-doctemplates           0.2.1-21.0          0.2.2.1-1.0
                      haskell-either               5-35.0               5-36.0
            haskell-hackage-security         0.5.2.2-19.0         0.5.2.2-20.0
                       haskell-hasql           1.1.1-54.0           1.1.1-55.0
                  haskell-hasql-pool           0.4.3-54.0           0.4.3-55.0
           haskell-hasql-transaction           0.5.2-54.0           0.5.2-55.0
                    haskell-hopenpgp          2.5.5-194.0          2.5.5-195.0
                       haskell-hpack          0.27.0-35.0          0.27.0-37.0
                haskell-html-conduit         1.2.1.2-35.0         1.2.1.2-36.0
                        haskell-http        4000.3.11-9.0       4000.3.11-10.0
                 haskell-http-client           0.5.12-1.0           0.5.12-2.0
             haskell-http-client-tls         0.3.5.3-31.0         0.3.5.3-32.0
                haskell-http-conduit           2.2.4-77.0           2.2.4-78.0
                  haskell-httpd-shed          0.4.0.3-9.0         0.4.0.3-10.0
                 haskell-interpolate            0.2.0-5.0            0.2.0-6.0
    haskell-interpolatedstring-perl6           1.0.0-43.0           1.0.0-44.0
                     haskell-iproute            1.7.3-2.0            1.7.3-3.0
                        haskell-jose         0.6.0.3-53.0         0.6.0.3-54.0
                     haskell-jose0.5         0.5.0.5-10.0                    -
                   haskell-js-jquery           3.3.1-40.0           3.3.1-41.0
                      haskell-libmpd          0.9.0.8-3.0          0.9.0.8-4.0
                haskell-monad-logger         0.3.28.3-1.0         0.3.28.3-2.0
                     haskell-network          2.6.3.4-2.0          2.6.3.5-1.0
       haskell-network-protocol-xmpp           0.4.8-33.0           0.4.8-35.0
                  haskell-persistent         2.7.3.1-42.0         2.7.3.1-44.0
           haskell-persistent-sqlite           2.6.4-72.0           2.6.4-74.0
         haskell-persistent-template            2.5.4-9.0           2.5.4-11.0
                  haskell-pipes-http          1.0.5-119.0          1.0.5-120.0
            haskell-project-template         0.2.0.1-25.0         0.2.0.1-26.0
                      haskell-rebase           1.2.3-35.0           1.2.3-36.0
                    haskell-rerebase           1.2.1-43.0           1.2.1-44.0
                       haskell-retry          0.7.6.2-3.0          0.7.6.2-4.0
                       haskell-shake          0.16.3-26.0           0.16.4-1.0
             haskell-simple-sendfile          0.2.27-22.0          0.2.27-23.0
                 haskell-skylighting             0.6-12.0             0.6-13.0
                       haskell-socks            0.5.6-8.0            0.5.6-9.0
                    haskell-src-exts           1.20.2-1.0           1.20.2-2.0
               haskell-src-exts-util            0.2.2-9.0           0.2.2-10.0
                    haskell-src-meta          0.8.0.2-9.0         0.8.0.2-10.0
                       haskell-store         0.4.3.2-73.0         0.4.3.2-74.0
           haskell-streaming-commons           0.1.19-8.0           0.1.19-9.0
                    haskell-swagger2             2.2-39.0            2.2.1-1.0
           haskell-tagstream-conduit        0.5.5.3-139.0        0.5.5.3-140.0
                    haskell-tasty-th           0.1.7-13.0           0.1.7-14.0
                         haskell-tls            1.4.1-9.0           1.4.1-10.0
         haskell-tls-session-manager         0.0.0.2-35.0         0.0.0.2-36.0
                         haskell-wai          3.2.1.2-4.0          3.2.1.2-5.0
                 haskell-wai-conduit          3.0.0.4-7.0          3.0.0.4-8.0
                    haskell-wai-cors           0.2.6-25.0           0.2.6-26.0
                  haskell-wai-logger           2.3.2-17.1           2.3.2-19.0
       haskell-wai-middleware-static           0.8.1-38.0            0.8.2-1.0
              haskell-wai-websockets          3.0.1.2-5.0          3.0.1.2-6.0
                        haskell-warp         3.2.18.2-3.0         3.2.18.2-4.0
                    haskell-warp-tls         3.2.4.2-37.0         3.2.4.2-38.0
                  haskell-websockets         0.12.4.0-6.0         0.12.4.0-7.0
                      haskell-xcffib           0.6.0-13.0           0.6.0-14.0
                 haskell-xml-conduit         1.7.1.2-25.0         1.7.1.2-26.0
                             hindent           5.2.5-19.0           5.2.5-20.0
                               hlint            2.1.1-1.0            2.1.1-3.0
                      hopenpgp-tools         0.19.5-113.0         0.19.5-114.0
                            ibamtray               0.02-9                    -
                          libexosip2            1:5.0.0-2                    -
                          luxblend25                1.6-2                    -
                              mythtv             1:29.0-4                    -
                                osec              1.2.5-1                    -
                              pandoc           2.1.3-13.0           2.1.3-17.0
                     pandoc-citeproc        0.13.0.1-55.0        0.13.0.1-59.0
                     pandoc-crossref         0.3.0.3-14.0         0.3.0.3-18.0
             parallel-netcdf-openmpi              1.8.1-4                    -
                               pcsx2              1.4.0-7                    -
                               pcsxr             1.9.93-5                    -
                             pokerth              1.1.2-1                    -
                               stack           1.6.5-65.0           1.6.5-68.0
                     stylish-haskell         0.9.0.2-19.0         0.9.0.2-20.0
                              xmobar             0.26-1.0             0.26-3.0
                       haskell-lucid                    -           2.9.10-1.0
                          unarchiver                    -           1.10.1-3.0

#6

I have the old good PGP key error. I have done all found procedures for fixing it, including:

pacman-mirrors -f0
pacman -Sc
pacman -Sy gnupg archlinux-keyring manjaro-keyring
rm -fr /etc/pacman.d/gnupg
pacman-key --init
pacman-key --populate archlinux manjaro
pacman-key --refresh-keys
pacman -Syyu

downloading required keys...
:: Import PGP key 4096R/5FDCA472AB93292BC678FD59255A76DB9A12601A, "Erich Eckner (just to sign arch packages) <arch@eckner.net>", created: 2018-04-09? [Y/n] 
:: Import PGP key 4096R/7C98C4C3DE926168DC46FBAA3D06644243BF68D3, "Erich Eckner (just to sign arch packages) <arch@eckner.net>", created: 2016-04-13 (revoked)? [Y/n] 
(26/26) checking package integrity                                                                                                         [####################################################################################] 100%
error: colord: signature from "Erich Eckner (just to sign arch packages) <arch@eckner.net>" is unknown trust
:: File /var/cache/pacman/pkg/colord-1.4.2-3.0-i686.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] n
error: crypto++: signature from "Erich Eckner (just to sign arch packages) <arch@eckner.net>" is unknown trust
:: File /var/cache/pacman/pkg/crypto++-7.0.0-1.0-i686.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] n

Any ideas ?


#8

firefox-esr appears to be working.

@jonathon,

please give details as the where firefox was installed…

Is it /usr/lib/firefox ?

When firefox-esr is launched the first time, receive the message “Can’t load the file /usr/lib/firefox/firefox $@” on the webpage which should otherwise be blank as per my configuration.

Thanks.


#9

Nice. :slight_smile:

That’s an odd one. I suspect the desktop launcher needs to be updated to match the firefox-esr file locations.

This isn’t a standard key issue, check the known issues post. :slightly_frowning_face:


#10
The webpage at every first launch looked like this:

After examining the firefox launcher in the Internet menu, using MenuLibre, changed the command editbox from "firefox" to "/usr/lib/firefox/firefox %u" and Working Directory editbox from "/usr/lib/firefox/" to empty string:

Now get a blank webpage as required.


#11

Just found that gimp doesn’t load:

$ gimp
Illegal instruction (core dumped)
$ gimp --no-cpu-accel
Illegal instruction (core dumped)
$ gimp --stack-trace-mode=on
Error parsing option --stack-trace-mode
$ gimp --stack-trace-mode=<on>
bash: syntax error near unexpected token `newline'
$ gimp --stack-trace-mode=always
Illegal instruction (core dumped)
$ gimp --debug-handlers
Illegal instruction (core dumped)
$ gimp --pdb-compat=mode=on
Unknown option --pdb-compat=mode=on
$ 

Viewnior works:

$ viewnior
$ 

Any ideas…


#12

This looks like an issue with the AUR package I compiled for the repo. I’ll look into it to try to fix it. Really there’s no reason the two packages can’t co-exist.

Yes; you’re running on a system with a CPU which lacks the SSE2 instruction set, so an awful lot of software won’t run.

archlinux32 are looking at extending the available architectures to include an “i486” architecture which will be compiled specifically for these 20-year-old systems.


#14

If I have firefox-esr-bin from AUR should I switch to the community version firefox-esr? Would it run any differently on a SSE2 capable machine? Would switching help testing Manjaro32?

…is the signing issue only problematic on new installs or updates also? I updated devede successfully yesterday without problem.


#15

You don’t need to; firefox-esr-bin is Mozilla’s own binary, firefox-esr from the repo is my compiled package from the firefox-esr AUR package.

No, they’re the same. firefox-sse, on the other hand, is Firefox 59 compiled with changes designed to let it run on a non-SSE2 CPU, but I can’t test that myself.

Testing the firefox-sse package would help both manjaro32 and archlinux32. If the patch I have works it means Firefox can be made to work for older CPUs (for a while longer, at least).

It’s problematic for anyone who wants to install a package built and signed by Erich Eckner, one of the archlinux32 devs. There are a lot of packages signed by him. The issue essentially makes installing new software, and updating existing packages, impossible.


#16

Uninstalled firefox-esr, then installed firefox-sse

firefox-sse crashed on launch for my cpu with no sse2 support:


Apparently, inxi -Fxzc0 suggests, my CPU has sse support

No, they’re the same. firefox-sse, on the other hand, is Firefox 59 compiled with changes designed to let it run on a non-SSE2 CPU, but I can’t test that myself.

Testing the firefox-sse package would help both manjaro32 and archlinux32. If the patch I have works it means Firefox can be made to work for older CPUs (for a while longer, at least).


#17

The problem was caused because I first installed firefox-sse and found that it crashed on launch. So then, I installed firefox-esr and it worked. However, the launcher had the command: “/usr/lib/firefox/firefox $@” which cause that “first” webpage to complain of a non-existent file.

That’s an odd one. I suspect the desktop launcher needs to be updated to match the firefox-esr file locations.

[/quote]


#18